
%global meadversion 1.0.1
%global namedversion 1.0.1.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jbossws-jaxws-undertow-httpspi}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.1.Final-redhat-1

Name:           %{?scl_prefix}jbossws-jaxws-undertow-httpspi
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Undertow to JAXWS 2.2 HTTP SPI bridge
Group:          Development/Java

%if %with mead
Source100: jaxws-undertow-httpspi-1.0.1.Final-redhat-1-scm-sources.zip
Source102: jaxws-undertow-httpspi-1.0.1.Final-redhat-1.jar
Source103: jaxws-undertow-httpspi-1.0.1.Final-redhat-1-sources.jar
Source104: jaxws-undertow-httpspi-1.0.1.Final-redhat-1-project-sources.tar.gz
Source105: jaxws-undertow-httpspi-1.0.1.Final-redhat-1.pom
%endif

License:        LGPLv2.1
URL:            https://github.com/jbossws/jaxws-undertow-httpspi
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jaxws-undertow-httpspi-%{namedversion}-%{release}-root

%description
JAX-WS HTTP SPI implementation for Undertow.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jbossws-jaxws-undertow-httpspi
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jaxws-undertow-httpspi -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jaxws-undertow-httpspi-%{namedversion}.jar %{buildroot}%{_javadir}/jaxws-undertow-httpspi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jaxws-undertow-httpspi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jaxws-undertow-httpspi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jaxws-undertow-httpspi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jaxws-undertow-httpspi-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jaxws-undertow-httpspi-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jaxws-undertow-httpspi-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jaxws-undertow-httpspi-%{namedversion} -x META-INF/\*
%{__ln_s} jaxws-undertow-httpspi-%{namedversion} %{buildroot}%{_javadocdir}/jaxws-undertow-httpspi
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jbossws-jaxws-undertow-httpspi
%defattr(0644,root,root,0755)
%{_javadir}/jaxws-undertow-httpspi-%{namedversion}.jar
%{_javadir}/jaxws-undertow-httpspi.jar
%if %with javadoc
%{_javadir}/jaxws-undertow-httpspi-%{namedversion}-javadoc.jar
%{_javadir}/jaxws-undertow-httpspi-javadoc.jar
%endif
%{_javadir}/jaxws-undertow-httpspi-%{namedversion}-sources.jar
%{_javadir}/jaxws-undertow-httpspi-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jaxws-undertow-httpspi-%{namedversion}
%{_javadocdir}/jaxws-undertow-httpspi
%endif

%changelog
* Thu Jul 23 2015 Hui Wang <huwang@redhat.com> - 1.0.1-1.Final_redhat_1.1
- Upgrade to 1.0.1.Final-redhat-1

